import React from 'react'
import { connect } from 'dva'
import DashboardDesigner from '../dashboardDesigner/layout'

class DashboardView extends React.Component {
    render() {
        const { code } = this.props.match.params;
        return <DashboardDesigner dashboardDesigner={this.props.dashboardDesigner} code={code} isShareView={true}/>
    }
}
export default connect(({ present: { dashboardDesigner } }) => ({ dashboardDesigner }))(DashboardView)